# requiring the environment of NodeJS 10 #
image: node:10

# add 'node_modules' to cache for speeding up builds
cache:
  paths:
    - node_modules/ # Node modules and dependencies

before_script:
  - npm cache clean --force
  - npm install gitbook-cli -g # install gitbook
  - gitbook fetch 3.2.3 # fetch final stable version
  - gitbook install # add any requested plugins in book.json

# the 'test' job will build the book to verify there are no errors
test:
  stage: test
  script:
    - gitbook build . public # build to public path
  rules:
    - if: $CI_COMMIT_REF_NAME != $CI_DEFAULT_BRANCH

# the 'pages' job will deploy and build your site to the 'public' path
pages:
  stage: deploy
  script:
    - gitbook build . public # build to public path
    - cp -r styles public/
  artifacts:
    paths:
      - public
    expire_in: 2 months
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
